package dev.fitko.fitconnect.api.domain.model.destination;

import com.fasterxml.jackson.annotation.JsonProperty;
import dev.fitko.fitconnect.api.domain.model.metadata.data.SubmissionSchema;
import dev.fitko.fitconnect.api.domain.model.reply.replychannel.ReplyChannel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedHashSet;
import java.util.Set;

@Data
@NoArgsConstructor
public class DestinationService {

  @JsonProperty("identifier")
  private String identifier;

  @JsonProperty("regions")
  private Set<String> regions = new LinkedHashSet<>();

  @JsonProperty("submissionSchemas")
  private Set<SubmissionSchema> submissionSchemas = new LinkedHashSet<>();

  @JsonProperty("replyChannels")
  private ReplyChannel replyChannels;

}

