package dev.fitko.fitconnect.api.domain.model.submission;

import com.fasterxml.jackson.annotation.JsonProperty;
import dev.fitko.fitconnect.api.domain.model.callback.Callback;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.UUID;

@Data
@NoArgsConstructor
public class Submission {

    @JsonProperty("destinationId")
    private UUID destinationId;

    @JsonProperty("submissionId")
    private UUID submissionId;

    @JsonProperty("caseId")
    private UUID caseId;

    @JsonProperty("attachments")
    private List<UUID> attachments;

    @JsonProperty("serviceType")
    private ServiceType serviceType;

    @JsonProperty("callback")
    private Callback callback;

    @JsonProperty("encryptedMetadata")
    private String encryptedMetadata;

    @JsonProperty("encryptedData")
    private String encryptedData;

}
