package dev.fitko.fitconnect.api.domain.sender;

import dev.fitko.fitconnect.api.domain.model.attachment.Attachment;
import dev.fitko.fitconnect.api.domain.model.event.authtags.AuthenticationTags;
import dev.fitko.fitconnect.api.domain.model.metadata.Metadata;
import dev.fitko.fitconnect.api.domain.model.reply.Reply;
import lombok.Value;

import java.util.List;

@Value
public class ReceivedReplyData {
    String data;
    Metadata metadata;
    Reply reply;
    List<Attachment> attachments;
    AuthenticationTags authenticationTags;
}