package dev.fitko.fitconnect.api.domain.model.event;

public enum EventState {

    INCOMPLETE("incomplete"),
    SUBMITTED("submitted"),
    ACCEPTED("accepted"),
    REJECTED("rejected"),
    DELETED("deleted"),
    FORWARDED("forwarded"),
    NOTIFIED("notified");

    private final String name;

    EventState(final String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
