package dev.fitko.fitconnect.api.domain.model.reply;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.UUID;

@Data
@NoArgsConstructor
public class Reply {

    @JsonProperty("replyId")
    private UUID replyId;

    @JsonProperty("caseId")
    private UUID caseId;

    @JsonProperty("attachments")
    private List<UUID> attachments;

    @JsonProperty("encryptedMetadata")
    private String encryptedMetadata;

    @JsonProperty("encryptedData")
    private String encryptedData;
}
