package dev.fitko.fitconnect.api.domain.model.reply.replychannel;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Email {

    @JsonProperty("address")
    private String address;

    @JsonProperty("usePgp")
    private Boolean usePgp;

    @JsonProperty("pgpPublicKey")
    private String pgpPublicKey;
}

