package dev.fitko.fitconnect.api.domain.model.route;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RouteResult {

  @JsonProperty("count")
  private Integer count;

  @JsonProperty("offset")
  private Integer offset;

  @JsonProperty("totalCount")
  private Integer totalCount;

  @JsonProperty("routes")
  private List<Route> routes = new ArrayList<>();

}
